Subject: Re: All gnupg tests broken on el4 [Re: [ANNOUNCE] Git v2.3.0-rc2]

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Jan 2015 10:48:26 -0800

"Tom G. Christensen" <[email-masked]> writes:

> On 29/01/15 16:43, Jeff King wrote:
>
>> Another option is to just declare that version old and broken, and skip
>> the tests (either by checking its version, or just checking after we
>> import the keys that we can actually _use_ them).
>>
> That would seem a bit heavy-handed as it is otherwise working fine
> with the old gnupg.

Thanks, both, for tracking this one down.

I am tempted to say that we should do both.  This "export public
key, even though new importers do not need" fix to make things
usable with 1.2.6, and the other one to catch and skip breakages
when future versions of GPG breaks us in whichever way we do not
anticipate now.